### Type Parameters

### Hierarchy

- gmfSearchOptions

## Index

### Properties

- clearButton
- colorChooser
- coordinatesProjections
- datasources
- delay
- maxZoom
- placeholder
- styles

## Properties

### clearButton

clearButton: boolean

- Defined in src/options.js:820

Clear button in the input search.

### colorChooser

colorChooser: boolean

- Defined in src/options.js:822

Whether to let the user change the style of the feature on the map.

### coordinatesProjections

coordinatesProjections: string[]

- Defined in src/options.js:817

codes of supported projections for coordinates search (projections must be defined in ol3). If not provided, only the map's view projection format will be supported.

### datasources

datasources: SearchComponentDatasource[]

- Defined in src/options.js:825

The used datasources.

### delay

delay: number

- Defined in src/options.js:821

bloodhound request delay in ms.

### maxZoom

maxZoom: number

- Defined in src/options.js:823

maximum zoom we will zoom on result.

### placeholder

placeholder: string

- Defined in src/options.js:824

The placeholder.

### styles

styles: Object

- Defined in src/options.js:814

A map of styles to apply on searched features. Keys must be the 'layer_name' property of features except for coordinates where the key ifor its style is the value of the constant 'gmf.COORDINATES_LAYER_NAME'. The 'default' key is used to apply the default style.

Generated using TypeDoc